<!DOCTYPE html>

<!-- Для тестировщиков через локальную сборку -->

<head>
		<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=10">
  	<title>Облако знаний</title>

<link href="css/models.css?82022bbe85dfda2acf74" rel="stylesheet"><script type="text/javascript" src="js/models.js?82022bbe85dfda2acf74"></script></HEAD>

<BODY style="margin:0px;">

	<script>
		function getTemplatePath() {
				var p = window.location.href;
				if (p.search('/') != -1) {
						p = p.substr(0, p.lastIndexOf('/') + 1);
				}
				return p;
		}
		var templatePath = getTemplatePath(); // Обязательный. Путь до директории, где папки с шаблоном (js, img, externals и css).
		var contentPath = templatePath + 'content/'; // Обязательный. Путь до директории, где находится imsmanifest и папки с остальными объектами.
		var templateSkin = 'default';
		var skinSettings = ''; // Необязательный. Настройки скина из тега <skinSettings>. Формат данных String содержащий JSON.
		var playerType = 'local'; //Обязательный. Возможные значения 'web', "local", "SCORM", "Android", "iPad".
		var applicationVersion = "";
		var pseudoRandomString = "";
		var courseManifest = contentPath + 'imsmanifest.js';
		var applicationVersion = '';
		var pseudoRandomString = applicationVersion;

		// Инициализация
		$(document).ready(function () {
				PlayerCourse.initialize({
					parent: '#cpMainWindow',
					templatePath: templatePath,
					contentPath: contentPath,
					templateSkin: templateSkin,
					skinSettings: skinSettings,
					playerType: playerType,
					applicationVersion: applicationVersion,
					pseudoRandomString: pseudoRandomString,
					courseManifest: courseManifest,
					firstSlideDependOnContentsChildren: true,

					// Сервисы используются как независимые вспомогательные объекты для плеера
					services: {
						// Connection: {
						//   send: function (data) {
						//     console.log('Service :: Connection', data);
						//   }
						// }
					}
				});

				PlayerCourse.showSlide = PlayerCourse.showSkinnedSlideByIndex;

				// дополнительные события версии для разработчиков
				// TODO: через import's from AppPlayer ?? Тогда и интерфейсные панели тоже загружать, иначе к чему привзяан заголовок?
				PlayerCourse.$el.on({
					slideLoaded (modId) {
						let item = ModelsConfig.items[ModelsConfig.currentSlide];
						if (item) {
							changeHeaderText(item.showntitle);
						}
						togglePanelBtn(modId);
					}
				});

				$('#contentsicon').click(()=>{
					// PlayerCourse.showContents();
					location.reload();
				});
		});

		/** Смена содержимого заголовка */
		function changeHeaderText(txt, title) {
        txt = txt.replace(/–/g, "<span class='verdana'>–</span>"); // #11781
				var headertext = $('#headertext');
				headertext.html(txt);
				if (typeof title !== 'undefined') {
						headertext.attr('title', title);
				} else {
						headertext.attr('title', headertext.text());
				}
		}

		/** ?? */
		function togglePanelBtn (modId) {
			if (modId == "") {
					$("#panelbtn").invisible();
			} else {
					$("#panelbtn").visible();
			}
		}
	</script>

	<style>
		html {
				height: 100%;
				width: 100%;
		}

		body {
				height: 100%;
				width: 100%;

		}

		#coursespage, #cpMainWindow {
			position: absolute;
			width: 100%;
			display: block;
		}
		#coursespage {
			top: 40px; /* 44 => 40 #11839-#2 */
			bottom: 50px;
			height: auto;
		}
		#cpMainWindow {
			height: 100%;
		}
		#findbtn {
			visibility: visible;
		}
	</style>

		<div id="header">
			<div class="headerbtn"><img src="img/common/close.png"/></div>
	    <div id="panelbtn" class="headerbtn" onclick="PlayerCourse.panelToggleL()"><img src="img/common/panel.png"/></div>
	    <div id="isBookmarked" class="headerbtn"><img src="img/common/notbookmarked.png" id="bookmarkimg"/></div>
	    <div id="headertext">Оглавление</div>
	    <div id="findbtn" class="headerbtn" onclick="PlayerCourse.showSearchPanel();"><img src="img/common/search.png"/></div>
	    <div id="synchronize" class="headerbtn"></div>
			<div id="closebtn" class="headerbtn" onclick="window.close()" title="Закрыть" align="right"><img src="img/common/close.png"/></div>
		</div>

		<div id="coursespage">
			<div id="cpMainWindow" APPLICATION="yes" width="100%" height="100%"></div>
		</div>

    <div id="footer">
			<table style="width:100%;height:100%;border-collapse: collapse;border-spacing: 0px;" border="0">
				<tr>
					<td width="50%" style="padding-left:20px"><img align="left" src="img/common/bottom_left.png"/></td>
					<td>
						<div class="buttonicon">
							<div>
								<img id="contentsicon" style="cursor:pointer" src="img/icons/contents.png"/>

							</div>
						</div>
					</td>
					<td width="50%" align="right" style="padding-right:20px"><div title="http://physicon.ru" align="right" style="cursor:pointer" onclick="window.open('http://physicon.ru')"></div></td>
				</tr>
			</table>
		</div>
</BODY>
</HTML>
